      PROGRAM COUNTDAYS

      IMPLICIT NONE
      INTEGER I
      
      PRINT *, 'TEST PROGRAM FOR LOOP'
      
      DO 10 I = 1, 10
        PRINT *, 'WITHIN DO LOOP', I
10    CONTINUE
      PRINT *, 'AFTER DO LOOP', I
      
      I = 1
      DO WHILE (I .LE. 10)
        PRINT *, 'WITHIN DO LOOP', I
        I = I + 1
      ENDDO  
      PRINT *, 'AFTER DO LOOP', I
      
      I = 1
20    IF (I .LE. 10) THEN
        PRINT *, 'WITHIN DO LOOP', I
        I = I + 1
        GOTO 20
      ENDIF  
      PRINT *, 'AFTER DO LOOP', I
      
      STOP
      END
      
      